// Plus imports for other components in your app.
// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

$theme-primary: (
  // define a real custom palette (using http://mcg.mbitson.com)
  main: #1443c5,
  lighter: #b9c7ee,
  darker: #0b2cb0,
  200: #1443c5,
  // For slide toggle,
  contrast:
    (
      main: $light-primary-text,
      lighter: $dark-primary-text,
      darker: $light-primary-text
    )
);

$theme-secondary: (
  main: #797979,
  lighter: #d7d7d7,
  darker: #5c5c5c,
  200: #797979,
  // For slide toggle,
  contrast:
    (
      main: $light-primary-text,
      lighter: $dark-primary-text,
      darker: $light-primary-text
    )
);

$mat-warn: (
  main: #eb445a,
  lighter: #ffb3b3,
  darker: #cf3c4f,
  200: #cf3c4f, // For slide toggle,
  contrast : (
    main: $light-primary-text,
    lighter: $dark-primary-text,
    darker: $light-primary-text,
  )
);
